package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.utils.BaseUtil._

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/5 09:53
 * @Description:
 */
object EsUtils {

  def getEsConfigMap: mutable.Map[String, String] = {
    val map = mutable.Map(
      "es.nodes.wan.only" -> "true",
      "es.internal.es.version" -> "5.5.3",
      "es.nodes" -> (if (isWindows) "es-cn-0pp0r32zf000ipovd.public.elasticsearch.aliyuncs.com" else "es-cn-0pp0r32zf000ipovd.elasticsearch.aliyuncs.com"),
      "es.port" -> "9200",
      "es.index.auto.create" -> "true",
      "es.net.http.auth.user" -> "elastic",
      "es.net.http.auth.pass" -> "elastic_168"
    )
    map
  }

}
