package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.utils.BaseUtil.isWindows
import org.apache.hadoop.hbase.mapred.TableOutputFormat
import org.apache.hadoop.hbase.{HBaseConfiguration, HConstants}
import org.apache.hadoop.mapred.JobConf

/**
 * @Author: XuJiakai
 * @Date: 2020/6/3 19:03
 * @Description:
 */
object HBaseUtils {
  def HBaseOutputJobConf(outputTable: String): JobConf = {
    val config = HBaseConfiguration.create()
    var zkAddress: String = null
    if (isWindows) {
      zkAddress = "hb-proxy-pub-uf6as8i6h85k02092-001.hbase.rds.aliyuncs.com"
      import com.alibaba.dcm.DnsCacheManipulator
      DnsCacheManipulator.setDnsCache("hb-uf6as8i6h85k02092-001.hbase.rds.aliyuncs.com", "47.101.251.157")
    } else {
      zkAddress = "hb-uf6as8i6h85k02092-001.hbase.rds.aliyuncs.com"
    }
    config.set(HConstants.ZOOKEEPER_QUORUM, zkAddress);

    val jobConf = new JobConf(config)
    jobConf.setOutputFormat(classOf[TableOutputFormat])
    jobConf.set(TableOutputFormat.OUTPUT_TABLE, outputTable)
    jobConf
  }
}
